@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;400;500;600&display=swap');

:root {
    --primary-font: 'Montserrat', sans-serif;
    --primary-color: rgb(234, 81, 40);
    --primary-dark-color: rgb(219, 75, 35);
    --primary-opacity-color: rgba(234, 81, 40, .4);
    --text-color: #252525;
    --light-color: #e4e4e4;
    --transition: all .3s ease-in-out;
}

* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    font-weight: 400;
}

body {
    font-family: var(--primary-font);
    color: var(--text-color);
}

h1 {
    font-size: 1.8rem;
    line-height: 4rem;
    font-weight: 600;
}

h2 {
    font-size: 1rem;
    line-height: 1.7rem;
}

h2.request-title {
    font-size: 1.5rem;
    line-height: 3rem;
    font-weight: 700;
    margin: 1rem;
}

h3 {
    font-size: 1rem;
    margin-bottom: 1rem;
}

a {
    color: var(--primary-color);
    transition: var(--transition);
}

a:hover {
    color: var(--text-color);
}

select {
    background: var(--light-color);
    color: var(--text-color);
    border: none;
    border-radius: 10px;
    padding: 8px;
    margin: 0 2px;
    font-family: var(--primary-font);
    cursor: pointer;
}

.header-section {
    grid-area: header;
    background-color: var(--primary-color);
    color: var(--light-color);
    padding: 1rem .5rem;
    font-weight: bold;
    font-size: 1.2rem;
}

.header-div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 36px;
}

.header-icons {
    font-size: 1.3rem;
    margin: 0 .3rem;
}

.header-img {
    width: 35px;
    border-radius: 100%;
    margin-right: 5px;
}

.menu-img {
    width: 90%;
    border-radius: 100%;
}

.profile,
.filter {
    display: flex;
    align-items: center;
    font-size: 1rem;
    word-break: break-all;
}

.filter button {
    background-color: transparent;
    color: var(--light-color);
    border: none;
    cursor: pointer;
}

.content-section {
    grid-area: content;
    width: 100vw;
    height: 100%;
    overflow-x: auto;
    overflow-y: auto;
}

.notification-icon {
    font-size: 1.2rem !important;
    color: var(--primary-color);
}

.edit-function {
    visibility: hidden;
    cursor: pointer;
}

.delete-icon {
    color: red;
    cursor: pointer;
    transition: var(--transition);
}

.delete-icon:hover {
    color: var(--text-color);
}

.deleted {
    text-decoration: line-through;
    cursor: initial;
}

.deleted .content-main-column .content-lower {
    pointer-events: none;
}

.state-changer {
    display: none;
    position: absolute;
    background: var(--light-color);
    border-radius: 10px;
    padding: .5rem;
    width: 100px;
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.3);
    z-index: 99;
    justify-content: space-around;
    align-items: center;
}

.state-changer span {
    font-size: 1.5rem;
    transition: var(--transition);
}

.state-changer span:hover {
    color: var(--primary-color);
}

.request-form {
    padding: 1rem;
}

.input__group {
    display: flex;
    flex-direction: column;
}

.input__group label {
    margin-top: .5rem;
}

.request-input {
    border: 1px solid var(--light-color);
    padding: 10px;
    margin: .5rem 0;
    font-family: var(--primary-font);
    font-size: 1rem;
}

textarea.request-input {
    min-width: calc(100% - 1rem - 5px);
    max-width: calc(100% - 1rem - 5px);
    min-height: 80px;
    max-height: 150px;
}

.function-section {
    grid-area: function;
    display: flex;
    justify-content: center;
}

.function-form {
    background-color: var(--primary-opacity-color);
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    font-size: 2rem;
    width: 100%;
    padding: .5rem 0;
}

.function-icon {
    border: none;
    background-color: transparent;
    cursor: pointer;
    transition: var(--transition);
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.function-icon span {
    font-size: 2rem;
}

.function-icon {
    color: var(--primary-color);
}

.function-icon:hover {
    color: var(--text-color);
}

.error_value {
    border: 1px solid red;
}

.btn {
    background-color: var(--primary-color);
    color: var(--light-color);
    border-radius: 10px;
    border: none;
    padding: 10px;
    font-family: var(--primary-font);
    font-size: .9rem;
    font-weight: 500;
    cursor: pointer;
}

.btn:hover {
    background-color: var(--primary-dark-color);
}

.btn-popup {
    display: block;
}

.btn-state {
    padding: 0;
    background: transparent;
    color: var(--text-color);
    font-size: 2rem;
}

.btn-state:hover {
    color: var(--primary-color);
    background: transparent;
}

.content-body {
    min-height: 100vh;
    display: grid;
    grid-template-rows: auto auto 1fr;
    grid-template-areas:
        "header"
        "function"
        "content";
}

.blur-body {
    background: url('./hatterkep.png');
    background-size: cover;
    background-position-x: center;
    background-position-y: 30%;
}

.blur-background {
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(50px);
    -webkit-backdrop-filter: blur(50px);
    height: 100%;
    width: 100%;
    overflow-y: scroll;
}

.login-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.form-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0px 0px 5px rgba(41, 41, 41, 0.2);
    padding: 3rem;
    margin: 2rem;
    max-width: 400px;
    text-align: center;
}

.login-form {
    margin-top: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: 300px;
    width: 100%;
}

.login-input {
    width: 100%;
    border-radius: 10px;
    border: 1px solid var(--light-color);
    box-shadow: 0px 0px 5px var(--light-color);
    padding: .7rem;
    margin: .5rem 0;
    font-family: var(--primary-font);
    transition: var(--transition);
}

.login-input:focus {
    border: 1px solid var(--primary-color);
    box-shadow: 0px 0px 5px var(--primary-color);
    outline: none;
}

.input-error {
    border: 1px solid red;
}

.text-error {
    color: red;
    font-size: .9rem;
}

.login-button {
    font-family: var(--primary-font);
    background-color: var(--primary-color);
    border-radius: 10px;
    border: 1px solid var(--primary-color);
    color: #fff;
    padding: 10px;
    font-weight: 500;
    font-size: .8rem;
    margin: 1rem 0;
    transition: var(--transition);
}

.login-button:hover {
    background: transparent;
    color: var(--primary-color);
}

.popup-back {
    display: none;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.5);
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.popup-container {
    position: relative;
    background-color: white;
    color: var(--text-color);
    padding: 3rem;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
}

.popup-close {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    transition: var(--transition);
}

.popup-close:hover {
    color: black;
}

#popup-id {
    border: none;
    font-size: 1rem;
    font-family: var(--primary-font);
}

/* Táblázat */
.content-header {
    background-color: var(--light-color);
}

.content-header, .content-container {
    display: flex;
    flex-direction: row;
    border-bottom: 2px solid var(--light-color);
    padding: 5px 0;
}

.content-header .content-main-column div {
    font-weight: 600;
}

.content-middle, 
.content-lower {
    display: none;
}

.content-data {
    padding: 0 3px;
}

.content-main-column:first-child {
    width: 80px;
    font-size: 2rem;
    font-weight: 600;
    padding-left: 10px;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.content-main-column:last-child {
    width: 30px;
}

.content-main-column:nth-child(2) {
    width: calc(100vw - 120px);
}

.content-main-column .content-upper {
    display: flex;
    flex-direction: row;
}

.content-container .content-main-column:first-child,
.content-container .content-main-column:last-child,
.content-container .content-main-column:nth-child(2) .content-upper {
    cursor: pointer;
    min-height: 39px;
}

.request-container__icon {
    cursor: pointer;
    position: relative;
}

.content-data__signature div span {
    font-size: 2rem;
}

.content-title {
    font-size: .8rem;
    color: #505050;
    text-transform: uppercase;
    letter-spacing: 2px;
}

.content-title::after {
    content: ":";
}

.active {
    display: flex;
}



@media (max-width: 767px) {
    .content-main-column .content-upper .content-data:first-child {
        width: 60%;
    }

    .content-main-column .content-upper .content-data:last-child {
        width: 40%;
        text-align: right;
    }

    .content-container .content-main-column .content-middle,
    .content-container .content-main-column .content-lower {
        position: relative;
        flex-direction: column;
        left: -90px;
        padding-top: 10px;
        padding-left: 10px;
        width: calc(100vw - 20px);
    }

    .content-container .content-main-column .content-middle .content-data,
    .content-container .content-main-column .content-lower .content-data {
        display: flex;
        flex-direction: column;
        padding: 3px 0;
    }

    .content-container .content-main-column .content-lower .content-data:last-child {
        display: flex;
        flex-direction: row;
        padding-top: 1rem;
    }
}



@media (min-width: 480px) {
    select {
        padding: 10px;
        margin: 0 3px;
    }

    .header-section {
        padding: 1rem;
    }

    .header-img {
        width: 45px;
        margin-right: 10px;
    }

    .profile,
    .filter {
        font-size: 1.1rem;
    }
}



@media (min-width: 768px) {
    .header-section {
        padding: 1rem 3rem;
        display: flex;
        justify-content: center;
    }

    .header-div {
        width: 750px;
    }

    .profile,
    .filter {
        font-size: 1.2rem;
    }

    .content-section {
        width: calc(100vw - 67.6px);
        height: calc(100vh - 68px);
    }

    .content-body {
        grid-template-columns: auto 1fr;
        grid-template-areas:
            "header header"
            "function content";
    }

    .request-form {
        width: 600px;
    }

    .function-form {
        flex-direction: column;
        justify-content: flex-start;
        width: auto;
        border-radius: 0;
        margin: 0;
        padding: .5rem;
        background-color: transparent;
        color: var(--text-color);
        border-right: 2px solid var(--light-color);
        box-shadow: none;
    }

    .btn {
        display: inline;
    }

    #saving {
        display: none;
    }

    .function-icon {
        font-size: 1.5rem;
        margin: .5rem .3rem;
    }

    .function-icon:hover {
        background-color: var(--light-color);
        border-radius: 10px;
    }

    .primary-function {
        background: transparent;
        color: var(--primary-color);
        transform: scale(1);
        box-shadow: none;
        border-radius: 0;
    }

    .primary-function:hover {
        color: var(--text-color);
    }

    .primary-function a {
        color: var(--primary-color);
    }

    .primary-function a:hover {
        color: var(--text-color);
    }

    .form-box {
        padding: 3rem 5rem;
    }

    .popup-container {
        width: 350px;
    }

    /* Táblázat */
    .content-main-column:nth-child(2) {
        flex-wrap: wrap;
        display: flex;
        flex-direction: row;
    }
    
    .content-middle {
        display: flex;
        width: 60%;
    }

    .content-main-column .content-upper {
        width: 40%;
    }

    .content-main-column .content-upper .content-data:first-child {
        width: 60%;
    }

    .content-main-column .content-upper .content-data:last-child {
        width: 40%;
        text-align: left;
    }

    .content-main-column .content-middle .content-data:first-child {
        width: 70%;
    }

    .content-main-column .content-middle .content-data:last-child {
        width: 30%;
    }

    .content-main-column .content-middle .content-data .content-title {
        display: none;
    }

    .content-container .content-main-column .content-lower {
        position: relative;
        flex-direction: column;
        left: -90px;
        padding-top: 10px;
        padding-left: 10px;
        width: 100%;
    }

    .content-container .content-main-column .content-lower .content-data:last-child {
        display: flex;
        flex-direction: row;
        padding-top: 1rem;
    }
}



@media (min-width: 1025px) {
    .header-div {
        width: 1000px;
    }
}



@media (min-width: 1400px) {

    /* Táblázat */
    .content-header {
        align-items: center;
    }

    .content-container {
        padding: 0;
    }

    .content-lower {
        display: flex;
        flex-direction: row;
        align-items: center;
    }

    .content-data {
        height: 100%;
        display: flex;
        align-items: center;
    }

    .content-lower .content-data:first-child {
        width: 20%;
    }

    .content-lower .content-data:nth-child(2) {
        width: 30%;
    }

    .content-lower .content-data:nth-child(3) {
        width: 50%;
        display: flex;
        flex-direction: row;
    }

    .content-lower .content-data:nth-child(3) .content-data__signature {
        width: 25%;
        height: 100%;
        text-align: center;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0 2px;
    }

    .content-main-column .content-lower .content-data {
        flex-direction: row;
        padding-left: 5px;
        padding-right: 5px;
    }

    .content-lower .content-data:last-child {
        width: 5%;
    }

    .content-main-column .content-lower .content-title {
        display: none;
    }

    .content-main-column:nth-child(2) {
        width: calc(100% - 80px);
        flex-wrap: nowrap;
    }

    .content-main-column .content-upper,
    .content-main-column .content-middle {
        width: 25%;
    }

    .content-container .content-main-column:nth-child(2) .content-upper {
        cursor: default;
    }
    
    .content-container .content-main-column .content-lower,
    .content-main-column .content-lower {
        cursor: initial;
        width: 75%;
    }

    .content-main-column:last-child {
        display: none;
    }

    .content-container .content-main-column:first-child,
    .content-container .content-main-column .content-upper {
        cursor: initial;
    }

    .content-container .content-main-column .content-middle {
        cursor: initial;
        width: 25%;
    }

    .content-container .content-main-column .content-lower {
        position: static;
        flex-direction: row;
        align-items: flex-start;
        padding-top: 0px;
        padding-left: 0;
    }

    .content-container .content-main-column .content-lower .content-data:last-child {
        flex-direction: column;
        margin: 0;
        padding-top: .5rem;
        padding-bottom: .5rem;
    }
}